// This source code is property of the Computer Graphics and Visualization 
// chair of the TU Dresden. Do not distribute! 
// Copyright (C) CGV TU Dresden - All Rights Reserved
#version 130

in vec4 in_position;
in vec4 in_color;

uniform mat4 view;
uniform mat4 proj;

uniform vec2 julia_positions[3];

out vec4 fragment_color;
out vec2 vertex_pos;
out vec2 julia_position;

void main()
{
	vertex_pos = in_position.xy;
	gl_Position = proj * view * in_position;
	
	fragment_color = in_color;

	julia_position = julia_positions[gl_VertexID % 3];
}